# Contributing to Boxy

Contributions are very welcome, feel free to reach out to ping#0001 on the [r/FlutterDev](https://discord.gg/rflutterdev)
Discord server if you have any questions.

## Creating an issue

The easiest way to contribute to Boxy is by creating an issue, we have the following tags:

* Question
* Bug
* Documentation
* Enhancement

You are highly encouraged to create an issue before submitting a PR.

## PR Checklist

This project has a relatively high standard for code quality, please refer to the [Flutter style guide](https://github.com/flutter/flutter/wiki/Style-guide-for-Flutter-repo#philosophy).

When submitting a PR, please make sure that:

1. Source files are formatted with dartfmt
2. All tests pass on the latest stable version of Flutter
3. There are no analyzer warnings
4. Bug fixes have appropriate tests (i.e. the test fails without the fix)
5. New public APIs are well documented
6. Breaking changes are well documented
7. Breaking changes follow semantic versioning

Thank you for contributing! :)